<?php

declare(strict_types=1);

namespace PHPMax\Domain\Attachments;

class CallAttachment extends BaseAttachment
{
     
    public $duration;
     
    public $conversationId;
     
    public $contactIds = [];

    protected static function schema(): array
    {
        return parent::schema() + [
            'duration' => ['type' => 'int'],
            'conversationId' => ['type' => 'mixed'],
            'contactIds' => ['type' => 'list<int>', 'default' => static function (): array {
                return [];
            }],
        ];
    }
}
